

void GetRC() // read roll,pitch,yaw,throttle from the receiver
{  
  for(int i=0; i<4; i++)
    RC[i]=(APM_RC.InputCh(i)-1500);
}

void WriteRC()
{
  for(int i=0; i<3 ; i++)
    APM_RC.OutputCh(i,constrain(motor[i],1000,1600));
  APM_RC.OutputCh(3,constrain(motor[SERVO],1000,2000)); 
}

int failsafe()//    signal loss recognition
{
  if (APM_RC.InputCh(2)<905)
    return 0;
  else 
    return 1;
}

int GetTargetValue(int input)
{
  return (int)input * 10.472 ;
}


void WriteNull()
{
for(int i=0; i<3 ; i++)
  APM_RC.OutputCh(i,1000);
  APM_RC.OutputCh(3,1500);
}

float ToDeg(int omg)
 {
    return float(omg*0.057);
 }
  
float RCToDegYAW(int rc)
 {
    return float(rc*0.36);
 }
  
float RCToDeg(int rc)
 {
   return (float(rc)*0.3);
 }
 
